<?php

require_once(__DIR__."/searcher.php");

if (is_file("./config.php")){
	//export mode
	require_once("./config.php");
	DocConfig::read("./madoka.json", "export_config");
} else {
	require_once(__DIR__."/../config.php");
	DocConfig::read("./madoka.json");
}

$query = isset($_GET['query']) ? urldecode($_GET['query']) : false;

if (isset($_GET["url"])){
	//redirecting from bad url
	$query = urldecode($_GET["url"]);
	$inpos = strrpos($query, "/");
	if ($inpos !== false)
		$query = substr($query, $inpos+1);
	$query = str_replace(".html", "", str_replace("_", " ", $query));
}

$_GET["query"] = $query;
$s = new Search();
echo $s->render();

?>